> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Catalog



## OpenAPI

````yaml /openapi.json get /integrations/catalog
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /integrations/catalog:
    get:
      tags:
        - Integrations
      summary: List Catalog
      operationId: list_catalog_integrations_catalog_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogResponse'
                type: array
                title: Response List Catalog Integrations Catalog Get
components:
  schemas:
    CatalogResponse:
      properties:
        slug:
          type: string
          title: Slug
        category:
          type: string
          title: Category
        display_name:
          type: string
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        credential_schema:
          additionalProperties: true
          type: object
          title: Credential Schema
        config_schema:
          additionalProperties: true
          type: object
          title: Config Schema
        user_settings_schema:
          additionalProperties: true
          type: object
          title: User Settings Schema
          default: {}
        is_available:
          type: boolean
          title: Is Available
      type: object
      required:
        - slug
        - category
        - display_name
        - credential_schema
        - config_schema
        - is_available
      title: CatalogResponse

````